#
# spec file for package imap (Version 2000c)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  openssl openssl-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openssl openssl-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         imap
Copyright:    Mark Crispin, University of Washington
Group:        Networking/Daemons
Autoreqprov:  on
Version:      2000c
Release:      139
Summary:      IMAP4, POP2 and POP3 mail server.
Source0:      imap-2000c.tar.bz2
Source1:      README.SuSE
Source2:      imap.pamd
Source3:      pop.pamd
Patch0:       imap-2000c.dif
BuildRoot:    /var/tmp/%{name}-root

%description
This package contains IMAP4, POP2 and POP3 mail servers.
After installation you have to activate the servers in
the file /etc/inetd.conf.

Authors:
--------
    Mark Crispin <mrc@cac.washington.edu>

SuSE series: n

%package devel
Summary:      IMAP4rev1/c-client Development Environment
Group:        Development/Libraries

%description devel
This package contains libraries and header files
for IMAP client programs.

Authors:
--------
    Mark Crispin <mrc@cac.washington.edu>

SuSE series: d

%prep
%setup
%patch

%build
export CFLAGS="-DDISABLE_POP_PROXY=1 -fpic"
make lnp SPECIALAUTHENTICATORS=ssl
make lnp
make lnp c-client
gcc -shared -o libc-client.so.%{version} c-client/*.o
strip libc-client.so.%{version}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,share/man/man8,share/doc/packages/imap}
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 755 -s imapd/imapd ipopd/ipop2d ipopd/ipop3d mtest/mtest $RPM_BUILD_ROOT/usr/sbin/
install -m 644  $RPM_SOURCE_DIR/imap.pamd ${RPM_BUILD_ROOT}/etc/pam.d/imap
install -m 644  $RPM_SOURCE_DIR/pop.pamd ${RPM_BUILD_ROOT}/etc/pam.d/pop
install -m 644 src/imapd/imapd.8c $RPM_BUILD_ROOT/usr/share/man/man8/imapd.8
install -m 644 src/ipopd/ipopd.8c $RPM_BUILD_ROOT/usr/share/man/man8/ipopd.8
install -m 644 $RPM_SOURCE_DIR/README.SuSE $RPM_BUILD_ROOT/usr/share/doc/packages/imap/
install -m 644 CONTENTS CPYRIGHT README WARNING docs/[^r]* $RPM_BUILD_ROOT/usr/share/doc/packages/imap/
mkdir -p $RPM_BUILD_ROOT/%{_includedir}/imap
cp src/osdep/tops-20/*.h $RPM_BUILD_ROOT/%{_includedir}/imap
cp src/osdep/unix/*.h $RPM_BUILD_ROOT/%{_includedir}/imap
cp src/c-client/*.h $RPM_BUILD_ROOT/%{_includedir}/imap
cp c-client/linkage.h $RPM_BUILD_ROOT/%{_includedir}/imap
cp c-client/osdep.h $RPM_BUILD_ROOT/%{_includedir}/imap
mkdir -p $RPM_BUILD_ROOT/%{_libdir}
install -m 644 c-client/c-client.a $RPM_BUILD_ROOT/%{_libdir}/
install -m 644 c-client/c-client.a $RPM_BUILD_ROOT/%{_libdir}/libc-client.a
install -m 755 libc-client.so.%{version} $RPM_BUILD_ROOT/%{_libdir}/
ln -sf libc-client.so.%{version} $RPM_BUILD_ROOT/%{_libdir}/libc-client.so

%files
/usr/sbin/*
/usr/share/man/man8/*
%config /etc/pam.d/*
%doc /usr/share/doc/packages/imap/*

%files devel
%{_libdir}/*
%{_includedir}/imap/*

%changelog -n imap
* Fri Aug 24 2001 - ro@suse.de
- removed /lib/security path from pam.d config file
* Mon Jun 18 2001 - arvin@suse.de
- added osdep.h to imap-devel (bug #8698)
* Tue May 08 2001 - arvin@suse.de
- bzip2 sources
* Wed Apr 18 2001 - arvin@suse.de
- do not explicit provide imap, it's done automatically
* Tue Feb 06 2001 - arvin@suse.de
- updated to version 2000c
- fixed to compile without kernel header files
* Tue Dec 19 2000 - arvin@suse.de
- ensure to link against shared version of libcrypto
* Mon Dec 18 2000 - arvin@suse.de
- added SSL support
* Fri Nov 03 2000 - kukuk@suse.de
- Fix compiling on SPARC
* Fri Nov 03 2000 - arvin@suse.de
- changed group tag
* Thu Oct 26 2000 - arvin@suse.de
- new version with imap 2000
- contains both programs and libraries
* Fri Mar 17 2000 - rolf@suse.de
- removed binaries [bug#2378]
- compile -fpic for shared lib
- use RPM macros for locations of files
- set Group: tag
* Thu Dec 23 1999 - rolf@suse.de
- make shared lib work and strip it
* Thu Dec 09 1999 - rolf@suse.de
- new version 4.7
- build for PAM systems (LDAP not supported)
- apply lock-patch
- also build shared lib
* Fri Oct 01 1999 - rolf@suse.de
- initial version 4.5.BETA
